Subject: Re: Bug-hunting

From: "David S. Miller" <[email-masked]>
Date: Tue, 22 Feb 2005 10:44:48 -0800

On Tue, 22 Feb 2005 16:07:35 +0100
Christian Schmid <[email-masked]> wrote:

> I am still trying to hunt down the bug with the slowdown-on-many-sockets. Is there any way I can see 
> how much tcp-memory is used right now? Why did you change the behaviour? In 2.6.10-rc2 I was able to 
> see the amount by looking in slabinfo but now the buffers are gone. And where did you introduce the 
> buffer-limit? It seems its now globally limited to xxx MB. I want to disable this in order to check 
> if thats the reason.

The global TCP memory limit, controllable by sysctl()'s, has been there for
at least 3 years.